PATCH Reject a Candidate from a stage in a Track

This API moves an applicant to the reject stage of the track.

Request URL

PATCH /tracks/<track_id>/applicants/<application_id>/reject

Body Parameters

{
    "source_stage_id": "string",
    "send_email": "boolean",
    "email_message": "string"
}

Warning

Make sure to add your API key in Header of the request

Parameters

Parameter

Type

Description

track_id

integer

ID of the track of the candidate

application_id

integer

Application ID of the applicant who should be rejected

source_stage_id

string

Optional stage assertion for safe transition

send_email

boolean

When true, sends rejection email to the applicant

email_message

string

Optional custom rejection email content

Response

  • A JSON response containing information if the candidate has been successfully rejected or not.

{
    "track_id": "integer",
    "application_id": "integer",
    "candidate_id": "integer",
    "name": "string",
    "email": "string",
    "from_stage": {
        "stage_id": "string",
        "name": "string",
        "type": "string"
    },
    "to_stage": {
        "stage_id": "string",
        "name": "string",
        "type": "string"
    },
    "email_sent": "boolean"
}